/*******************************************************************************
* File Name: cmp.h  
* Version 2.0
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_cmp_H) /* Pins cmp_H */
#define CY_PINS_cmp_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "cmp_aliases.h"

/* Check to see if required defines such as CY_PSOC5A are available */
/* They are defined starting with cy_boot v3.0 */
#if !defined (CY_PSOC5A)
    #error Component cy_pins_v2_0 requires cy_boot v3.0 or later
#endif /* (CY_PSOC5A) */

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 cmp__PORT == 15 && ((cmp__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

void    cmp_Write(uint8 value) ;
void    cmp_SetDriveMode(uint8 mode) ;
uint8   cmp_ReadDataReg(void) ;
uint8   cmp_Read(void) ;
uint8   cmp_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define cmp_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define cmp_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define cmp_DM_RES_UP          PIN_DM_RES_UP
#define cmp_DM_RES_DWN         PIN_DM_RES_DWN
#define cmp_DM_OD_LO           PIN_DM_OD_LO
#define cmp_DM_OD_HI           PIN_DM_OD_HI
#define cmp_DM_STRONG          PIN_DM_STRONG
#define cmp_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define cmp_MASK               cmp__MASK
#define cmp_SHIFT              cmp__SHIFT
#define cmp_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define cmp_PS                     (* (reg8 *) cmp__PS)
/* Data Register */
#define cmp_DR                     (* (reg8 *) cmp__DR)
/* Port Number */
#define cmp_PRT_NUM                (* (reg8 *) cmp__PRT) 
/* Connect to Analog Globals */                                                  
#define cmp_AG                     (* (reg8 *) cmp__AG)                       
/* Analog MUX bux enable */
#define cmp_AMUX                   (* (reg8 *) cmp__AMUX) 
/* Bidirectional Enable */                                                        
#define cmp_BIE                    (* (reg8 *) cmp__BIE)
/* Bit-mask for Aliased Register Access */
#define cmp_BIT_MASK               (* (reg8 *) cmp__BIT_MASK)
/* Bypass Enable */
#define cmp_BYP                    (* (reg8 *) cmp__BYP)
/* Port wide control signals */                                                   
#define cmp_CTL                    (* (reg8 *) cmp__CTL)
/* Drive Modes */
#define cmp_DM0                    (* (reg8 *) cmp__DM0) 
#define cmp_DM1                    (* (reg8 *) cmp__DM1)
#define cmp_DM2                    (* (reg8 *) cmp__DM2) 
/* Input Buffer Disable Override */
#define cmp_INP_DIS                (* (reg8 *) cmp__INP_DIS)
/* LCD Common or Segment Drive */
#define cmp_LCD_COM_SEG            (* (reg8 *) cmp__LCD_COM_SEG)
/* Enable Segment LCD */
#define cmp_LCD_EN                 (* (reg8 *) cmp__LCD_EN)
/* Slew Rate Control */
#define cmp_SLW                    (* (reg8 *) cmp__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define cmp_PRTDSI__CAPS_SEL       (* (reg8 *) cmp__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define cmp_PRTDSI__DBL_SYNC_IN    (* (reg8 *) cmp__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define cmp_PRTDSI__OE_SEL0        (* (reg8 *) cmp__PRTDSI__OE_SEL0) 
#define cmp_PRTDSI__OE_SEL1        (* (reg8 *) cmp__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define cmp_PRTDSI__OUT_SEL0       (* (reg8 *) cmp__PRTDSI__OUT_SEL0) 
#define cmp_PRTDSI__OUT_SEL1       (* (reg8 *) cmp__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define cmp_PRTDSI__SYNC_OUT       (* (reg8 *) cmp__PRTDSI__SYNC_OUT) 


#if defined(cmp__INTSTAT)  /* Interrupt Registers */

    #define cmp_INTSTAT                (* (reg8 *) cmp__INTSTAT)
    #define cmp_SNAP                   (* (reg8 *) cmp__SNAP)

#endif /* Interrupt Registers */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_cmp_H */


/* [] END OF FILE */
