/*******************************************************************************
* File Name: gate3.h  
* Version 2.0
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_gate3_H) /* Pins gate3_H */
#define CY_PINS_gate3_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "gate3_aliases.h"

/* Check to see if required defines such as CY_PSOC5A are available */
/* They are defined starting with cy_boot v3.0 */
#if !defined (CY_PSOC5A)
    #error Component cy_pins_v2_0 requires cy_boot v3.0 or later
#endif /* (CY_PSOC5A) */

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 gate3__PORT == 15 && ((gate3__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

void    gate3_Write(uint8 value) ;
void    gate3_SetDriveMode(uint8 mode) ;
uint8   gate3_ReadDataReg(void) ;
uint8   gate3_Read(void) ;
uint8   gate3_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define gate3_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define gate3_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define gate3_DM_RES_UP          PIN_DM_RES_UP
#define gate3_DM_RES_DWN         PIN_DM_RES_DWN
#define gate3_DM_OD_LO           PIN_DM_OD_LO
#define gate3_DM_OD_HI           PIN_DM_OD_HI
#define gate3_DM_STRONG          PIN_DM_STRONG
#define gate3_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define gate3_MASK               gate3__MASK
#define gate3_SHIFT              gate3__SHIFT
#define gate3_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define gate3_PS                     (* (reg8 *) gate3__PS)
/* Data Register */
#define gate3_DR                     (* (reg8 *) gate3__DR)
/* Port Number */
#define gate3_PRT_NUM                (* (reg8 *) gate3__PRT) 
/* Connect to Analog Globals */                                                  
#define gate3_AG                     (* (reg8 *) gate3__AG)                       
/* Analog MUX bux enable */
#define gate3_AMUX                   (* (reg8 *) gate3__AMUX) 
/* Bidirectional Enable */                                                        
#define gate3_BIE                    (* (reg8 *) gate3__BIE)
/* Bit-mask for Aliased Register Access */
#define gate3_BIT_MASK               (* (reg8 *) gate3__BIT_MASK)
/* Bypass Enable */
#define gate3_BYP                    (* (reg8 *) gate3__BYP)
/* Port wide control signals */                                                   
#define gate3_CTL                    (* (reg8 *) gate3__CTL)
/* Drive Modes */
#define gate3_DM0                    (* (reg8 *) gate3__DM0) 
#define gate3_DM1                    (* (reg8 *) gate3__DM1)
#define gate3_DM2                    (* (reg8 *) gate3__DM2) 
/* Input Buffer Disable Override */
#define gate3_INP_DIS                (* (reg8 *) gate3__INP_DIS)
/* LCD Common or Segment Drive */
#define gate3_LCD_COM_SEG            (* (reg8 *) gate3__LCD_COM_SEG)
/* Enable Segment LCD */
#define gate3_LCD_EN                 (* (reg8 *) gate3__LCD_EN)
/* Slew Rate Control */
#define gate3_SLW                    (* (reg8 *) gate3__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define gate3_PRTDSI__CAPS_SEL       (* (reg8 *) gate3__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define gate3_PRTDSI__DBL_SYNC_IN    (* (reg8 *) gate3__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define gate3_PRTDSI__OE_SEL0        (* (reg8 *) gate3__PRTDSI__OE_SEL0) 
#define gate3_PRTDSI__OE_SEL1        (* (reg8 *) gate3__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define gate3_PRTDSI__OUT_SEL0       (* (reg8 *) gate3__PRTDSI__OUT_SEL0) 
#define gate3_PRTDSI__OUT_SEL1       (* (reg8 *) gate3__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define gate3_PRTDSI__SYNC_OUT       (* (reg8 *) gate3__PRTDSI__SYNC_OUT) 


#if defined(gate3__INTSTAT)  /* Interrupt Registers */

    #define gate3_INTSTAT                (* (reg8 *) gate3__INTSTAT)
    #define gate3_SNAP                   (* (reg8 *) gate3__SNAP)

#endif /* Interrupt Registers */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_gate3_H */


/* [] END OF FILE */
