/*******************************************************************************
* File Name: reserve.h  
* Version 2.0
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_reserve_H) /* Pins reserve_H */
#define CY_PINS_reserve_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "reserve_aliases.h"

/* Check to see if required defines such as CY_PSOC5A are available */
/* They are defined starting with cy_boot v3.0 */
#if !defined (CY_PSOC5A)
    #error Component cy_pins_v2_0 requires cy_boot v3.0 or later
#endif /* (CY_PSOC5A) */

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 reserve__PORT == 15 && ((reserve__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

void    reserve_Write(uint8 value) ;
void    reserve_SetDriveMode(uint8 mode) ;
uint8   reserve_ReadDataReg(void) ;
uint8   reserve_Read(void) ;
uint8   reserve_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define reserve_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define reserve_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define reserve_DM_RES_UP          PIN_DM_RES_UP
#define reserve_DM_RES_DWN         PIN_DM_RES_DWN
#define reserve_DM_OD_LO           PIN_DM_OD_LO
#define reserve_DM_OD_HI           PIN_DM_OD_HI
#define reserve_DM_STRONG          PIN_DM_STRONG
#define reserve_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define reserve_MASK               reserve__MASK
#define reserve_SHIFT              reserve__SHIFT
#define reserve_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define reserve_PS                     (* (reg8 *) reserve__PS)
/* Data Register */
#define reserve_DR                     (* (reg8 *) reserve__DR)
/* Port Number */
#define reserve_PRT_NUM                (* (reg8 *) reserve__PRT) 
/* Connect to Analog Globals */                                                  
#define reserve_AG                     (* (reg8 *) reserve__AG)                       
/* Analog MUX bux enable */
#define reserve_AMUX                   (* (reg8 *) reserve__AMUX) 
/* Bidirectional Enable */                                                        
#define reserve_BIE                    (* (reg8 *) reserve__BIE)
/* Bit-mask for Aliased Register Access */
#define reserve_BIT_MASK               (* (reg8 *) reserve__BIT_MASK)
/* Bypass Enable */
#define reserve_BYP                    (* (reg8 *) reserve__BYP)
/* Port wide control signals */                                                   
#define reserve_CTL                    (* (reg8 *) reserve__CTL)
/* Drive Modes */
#define reserve_DM0                    (* (reg8 *) reserve__DM0) 
#define reserve_DM1                    (* (reg8 *) reserve__DM1)
#define reserve_DM2                    (* (reg8 *) reserve__DM2) 
/* Input Buffer Disable Override */
#define reserve_INP_DIS                (* (reg8 *) reserve__INP_DIS)
/* LCD Common or Segment Drive */
#define reserve_LCD_COM_SEG            (* (reg8 *) reserve__LCD_COM_SEG)
/* Enable Segment LCD */
#define reserve_LCD_EN                 (* (reg8 *) reserve__LCD_EN)
/* Slew Rate Control */
#define reserve_SLW                    (* (reg8 *) reserve__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define reserve_PRTDSI__CAPS_SEL       (* (reg8 *) reserve__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define reserve_PRTDSI__DBL_SYNC_IN    (* (reg8 *) reserve__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define reserve_PRTDSI__OE_SEL0        (* (reg8 *) reserve__PRTDSI__OE_SEL0) 
#define reserve_PRTDSI__OE_SEL1        (* (reg8 *) reserve__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define reserve_PRTDSI__OUT_SEL0       (* (reg8 *) reserve__PRTDSI__OUT_SEL0) 
#define reserve_PRTDSI__OUT_SEL1       (* (reg8 *) reserve__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define reserve_PRTDSI__SYNC_OUT       (* (reg8 *) reserve__PRTDSI__SYNC_OUT) 


#if defined(reserve__INTSTAT)  /* Interrupt Registers */

    #define reserve_INTSTAT                (* (reg8 *) reserve__INTSTAT)
    #define reserve_SNAP                   (* (reg8 *) reserve__SNAP)

#endif /* Interrupt Registers */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_reserve_H */


/* [] END OF FILE */
