/*******************************************************************************
* File Name: reset.h  
* Version 2.0
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_reset_H) /* Pins reset_H */
#define CY_PINS_reset_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "reset_aliases.h"

/* Check to see if required defines such as CY_PSOC5A are available */
/* They are defined starting with cy_boot v3.0 */
#if !defined (CY_PSOC5A)
    #error Component cy_pins_v2_0 requires cy_boot v3.0 or later
#endif /* (CY_PSOC5A) */

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 reset__PORT == 15 && ((reset__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

void    reset_Write(uint8 value) ;
void    reset_SetDriveMode(uint8 mode) ;
uint8   reset_ReadDataReg(void) ;
uint8   reset_Read(void) ;
uint8   reset_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define reset_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define reset_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define reset_DM_RES_UP          PIN_DM_RES_UP
#define reset_DM_RES_DWN         PIN_DM_RES_DWN
#define reset_DM_OD_LO           PIN_DM_OD_LO
#define reset_DM_OD_HI           PIN_DM_OD_HI
#define reset_DM_STRONG          PIN_DM_STRONG
#define reset_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define reset_MASK               reset__MASK
#define reset_SHIFT              reset__SHIFT
#define reset_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define reset_PS                     (* (reg8 *) reset__PS)
/* Data Register */
#define reset_DR                     (* (reg8 *) reset__DR)
/* Port Number */
#define reset_PRT_NUM                (* (reg8 *) reset__PRT) 
/* Connect to Analog Globals */                                                  
#define reset_AG                     (* (reg8 *) reset__AG)                       
/* Analog MUX bux enable */
#define reset_AMUX                   (* (reg8 *) reset__AMUX) 
/* Bidirectional Enable */                                                        
#define reset_BIE                    (* (reg8 *) reset__BIE)
/* Bit-mask for Aliased Register Access */
#define reset_BIT_MASK               (* (reg8 *) reset__BIT_MASK)
/* Bypass Enable */
#define reset_BYP                    (* (reg8 *) reset__BYP)
/* Port wide control signals */                                                   
#define reset_CTL                    (* (reg8 *) reset__CTL)
/* Drive Modes */
#define reset_DM0                    (* (reg8 *) reset__DM0) 
#define reset_DM1                    (* (reg8 *) reset__DM1)
#define reset_DM2                    (* (reg8 *) reset__DM2) 
/* Input Buffer Disable Override */
#define reset_INP_DIS                (* (reg8 *) reset__INP_DIS)
/* LCD Common or Segment Drive */
#define reset_LCD_COM_SEG            (* (reg8 *) reset__LCD_COM_SEG)
/* Enable Segment LCD */
#define reset_LCD_EN                 (* (reg8 *) reset__LCD_EN)
/* Slew Rate Control */
#define reset_SLW                    (* (reg8 *) reset__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define reset_PRTDSI__CAPS_SEL       (* (reg8 *) reset__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define reset_PRTDSI__DBL_SYNC_IN    (* (reg8 *) reset__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define reset_PRTDSI__OE_SEL0        (* (reg8 *) reset__PRTDSI__OE_SEL0) 
#define reset_PRTDSI__OE_SEL1        (* (reg8 *) reset__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define reset_PRTDSI__OUT_SEL0       (* (reg8 *) reset__PRTDSI__OUT_SEL0) 
#define reset_PRTDSI__OUT_SEL1       (* (reg8 *) reset__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define reset_PRTDSI__SYNC_OUT       (* (reg8 *) reset__PRTDSI__SYNC_OUT) 


#if defined(reset__INTSTAT)  /* Interrupt Registers */

    #define reset_INTSTAT                (* (reg8 *) reset__INTSTAT)
    #define reset_SNAP                   (* (reg8 *) reset__SNAP)

#endif /* Interrupt Registers */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_reset_H */


/* [] END OF FILE */
