/*******************************************************************************
* File Name: sinewave.h  
* Version 2.0
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_sinewave_H) /* Pins sinewave_H */
#define CY_PINS_sinewave_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "sinewave_aliases.h"

/* Check to see if required defines such as CY_PSOC5A are available */
/* They are defined starting with cy_boot v3.0 */
#if !defined (CY_PSOC5A)
    #error Component cy_pins_v2_0 requires cy_boot v3.0 or later
#endif /* (CY_PSOC5A) */

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 sinewave__PORT == 15 && ((sinewave__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

void    sinewave_Write(uint8 value) ;
void    sinewave_SetDriveMode(uint8 mode) ;
uint8   sinewave_ReadDataReg(void) ;
uint8   sinewave_Read(void) ;
uint8   sinewave_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define sinewave_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define sinewave_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define sinewave_DM_RES_UP          PIN_DM_RES_UP
#define sinewave_DM_RES_DWN         PIN_DM_RES_DWN
#define sinewave_DM_OD_LO           PIN_DM_OD_LO
#define sinewave_DM_OD_HI           PIN_DM_OD_HI
#define sinewave_DM_STRONG          PIN_DM_STRONG
#define sinewave_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define sinewave_MASK               sinewave__MASK
#define sinewave_SHIFT              sinewave__SHIFT
#define sinewave_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define sinewave_PS                     (* (reg8 *) sinewave__PS)
/* Data Register */
#define sinewave_DR                     (* (reg8 *) sinewave__DR)
/* Port Number */
#define sinewave_PRT_NUM                (* (reg8 *) sinewave__PRT) 
/* Connect to Analog Globals */                                                  
#define sinewave_AG                     (* (reg8 *) sinewave__AG)                       
/* Analog MUX bux enable */
#define sinewave_AMUX                   (* (reg8 *) sinewave__AMUX) 
/* Bidirectional Enable */                                                        
#define sinewave_BIE                    (* (reg8 *) sinewave__BIE)
/* Bit-mask for Aliased Register Access */
#define sinewave_BIT_MASK               (* (reg8 *) sinewave__BIT_MASK)
/* Bypass Enable */
#define sinewave_BYP                    (* (reg8 *) sinewave__BYP)
/* Port wide control signals */                                                   
#define sinewave_CTL                    (* (reg8 *) sinewave__CTL)
/* Drive Modes */
#define sinewave_DM0                    (* (reg8 *) sinewave__DM0) 
#define sinewave_DM1                    (* (reg8 *) sinewave__DM1)
#define sinewave_DM2                    (* (reg8 *) sinewave__DM2) 
/* Input Buffer Disable Override */
#define sinewave_INP_DIS                (* (reg8 *) sinewave__INP_DIS)
/* LCD Common or Segment Drive */
#define sinewave_LCD_COM_SEG            (* (reg8 *) sinewave__LCD_COM_SEG)
/* Enable Segment LCD */
#define sinewave_LCD_EN                 (* (reg8 *) sinewave__LCD_EN)
/* Slew Rate Control */
#define sinewave_SLW                    (* (reg8 *) sinewave__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define sinewave_PRTDSI__CAPS_SEL       (* (reg8 *) sinewave__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define sinewave_PRTDSI__DBL_SYNC_IN    (* (reg8 *) sinewave__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define sinewave_PRTDSI__OE_SEL0        (* (reg8 *) sinewave__PRTDSI__OE_SEL0) 
#define sinewave_PRTDSI__OE_SEL1        (* (reg8 *) sinewave__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define sinewave_PRTDSI__OUT_SEL0       (* (reg8 *) sinewave__PRTDSI__OUT_SEL0) 
#define sinewave_PRTDSI__OUT_SEL1       (* (reg8 *) sinewave__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define sinewave_PRTDSI__SYNC_OUT       (* (reg8 *) sinewave__PRTDSI__SYNC_OUT) 


#if defined(sinewave__INTSTAT)  /* Interrupt Registers */

    #define sinewave_INTSTAT                (* (reg8 *) sinewave__INTSTAT)
    #define sinewave_SNAP                   (* (reg8 *) sinewave__SNAP)

#endif /* Interrupt Registers */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_sinewave_H */


/* [] END OF FILE */
