
`include "cypress.v"
module swGen (
	output  changeInterrupt,
	output  reg gate1,
	output  reg gate2,
	output  reg gate3,
	input   mclk,
	input   rst,
	input   sw
);

reg [8:0] count; //0~399 @ 60MHz
reg [10:0] addr; //0~1249 @ 150kHz
reg [1:0] residue3; //0~2 @ 150kHz

always@(posedge mclk or posedge rst) begin
    if(rst) begin
        count<=9'b0_0000_0000;
        residue3<=2'b00;
        addr<=11'b000_0000_0000;
    end
    else begin
        if(count==9'b1_1000_1111) begin //399 
            count<=9'b0_0000_0000;
            // addr
            if(addr==11'b100_1110_0001) begin
                addr<=11'b000_0000_0000;
            end
            else begin
                addr<=addr+11'b000_0000_0001;
            end
            // residue3
            if(residue3==2'b10) begin
                residue3<=2'b00;
            end
            else begin
                residue3<=residue3+2'b01;
            end
        end
        else begin
            count<=count+9'b0_0000_0001;
        end
    end
end

always@(addr or residue3) begin
    //0~150 || 1100~1249 : mode1(0~Vo)
    if( ((addr>=11'b000_0000_0000) && (addr<=11'b000_1001_0110)) ||
        ((addr>11'b100_0100_1100) && (addr<=11'b100_1110_0001)) )
    begin
        if(residue3==2'b00) begin
            gate1<=sw;
            gate2<=1'b1;
            gate3<=1'b1;
        end
        else if(residue3==2'b01) begin
            gate1<=1'b1;
            gate2<=sw;
            gate3<=1'b1;
        end
        else if(residue3==2'b10) begin
            gate1<=1'b1;
            gate2<=1'b1;
            gate3<=sw;
        end
        else begin
            gate1<=1'b1;
            gate2<=1'b1;
            gate3<=1'b1;
        end
    end
    //151~331 || 919~1099 : mode2(Vo~2Vo)
    else if( ((addr>=11'b000_1001_0111) && (addr<=11'b001_0100_1011)) ||
             ((addr>=11'b011_1001_0111) && (addr<=11'b100_0100_1011)) )
    begin
        if(residue3==2'b00) begin
            gate1<=sw;
            gate2<=1'b0;
            gate3<=1'b1;
        end
        else if(residue3==2'b01) begin
            gate1<=1'b0;
            gate2<=1'b1;
            gate3<=sw;
        end
        else if(residue3==2'b10) begin
            gate1<=1'b1;
            gate2<=sw;
            gate3<=1'b0;
        end
        else begin
            gate1<=1'b1;
            gate2<=1'b1;
            gate3<=1'b1;
        end
    end
    //332~918 : mode3(2Vo~Vm)
    else if( ((addr>=11'b001_0100_1100) && (addr<=11'b011_1001_0110)) )
    begin
        if(residue3==2'b00) begin
            gate1<=sw;
            gate2<=1'b0;
            gate3<=1'b0;
        end
        else if(residue3==2'b01) begin
            gate1<=1'b0;
            gate2<=sw;
            gate3<=1'b0;
        end
        else if(residue3==2'b10) begin
            gate1<=1'b0;
            gate2<=1'b0;
            gate3<=sw;
        end
        else begin
            gate1<=1'b1;
            gate2<=1'b1;
            gate3<=1'b1;
        end
    end
    else begin
        gate1<=1'b1;
        gate2<=1'b1;
        gate3<=1'b1;
    end
end

assign changeInterrupt = (residue3==2'b00);

endmodule